package cn.yw.nhyw.sbxx.dao;
import cn.base.dao.BaseSqlMapDAO;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("sbxxDao")
public class SbxxDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Sbxx(Map map) throws SQLException{
		this.insert("insert_Sbxx",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Sbxx(List batch) throws SQLException{
		this.insert("batch_insert_Sbxx",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Sbxx(Map map) throws SQLException{
		return this.update("update_Sbxx",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Sbxx(Map map) throws SQLException{
		return this.delete("delete_Sbxx",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	public Integer batch_delete_Sbxx(Map map) throws SQLException{
		return this.delete("batch_delete_Sbxx",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Sbxx(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Sbxx",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Sbxx(Map map) throws SQLException{
		return this.queryForPage("query_Sbxx",map);
	}
	
	/**
	 * 查询列表记录
	 */
	/*
	public Map get_Sbxx(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Sbxx",map);
	}
	*/
	public List<Map> query_TaskSbxxByPage(Map map)throws SQLException{
		return this.queryForPage("query_TaskSbxx",map);
	}

	public Integer count_TaskSbxxByPage(Map map)throws SQLException{
		return (Integer)this.queryForObject("query_TaskSbxx",map);
	}
}
